<?php
namespace Teknisa\CDP\Modules\Producao\Controllers;

    use Teknisa\CDP\Controllers\TeknisaCrud;
    use Teknisa\GER\Controllers\CrudController;
    use Zeedhi\Framework\DTO;
    use Zeedhi\Framework\DTO\Response\Error;
    use \Zeedhi\Framework\DataSource\DataSet;
    use Zeedhi\Framework\DataSource\ParameterBag;
    use Teknisa\CDP\Modules\Producao\Services\ger04800EquipamentoService;

    class ger04800EquipamentoController extends TeknisaCrud {
        protected $dataSourceName = 'equipaprod';
        protected $dataSourceNameToSave = '';
        protected $ger04800EquipamentoService;
  
        public function __construct($crudService, ParameterBag $parameterBag, ger04800EquipamentoService $ger04800EquipamentoService){
            parent::__construct($crudService, $parameterBag);
            $this->ger04800EquipamentoService = $ger04800EquipamentoService;
        }
        
        public function newCdEquip($request, $response){
            $newCode = $this->ger04800EquipamentoService->getMaxCdEquip();
            $dataSet = new DataSet('newCdEquip', $newCode);
            $response->addDataSet($dataSet);
        }
    }