<?php
namespace Teknisa\CDP\Modules\Producao\Factories;

use Doctrine\ORM\EntityManager;

class cdp05010DescricaoTelaFactory {
    
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function updateNaMao($cdinspecao,$txdescinspec) {
        $data = date("d/m/Y H:i:s");
        $params = array("CDINSPECAO" => $cdinspecao,"TXDESCINSPEC" => $txdescinspec);
        
        $sql = "UPDATE DESCINSPECAO SET DTULTATU = TO_DATE('".$data."', 'DD/MM/YYYY HH24:MI:SS'), TXDESCINSPEC_CLOB = :TXDESCINSPEC WHERE CDINSPECAO = :CDINSPECAO";
        $std = $this->connection->prepare($sql);
        
        $std->execute($params);
        
        // return $std->fetchAll();
    }
    
}

?>