<?php
namespace Teknisa\CDP\Modules\Producao\Controllers;

    use \Teknisa\GER\Libraries\PHPMailer;
    use Teknisa\CDP\Controllers\TeknisaCrud;
    use Teknisa\GER\Controllers\CrudController;
    use Zeedhi\Framework\DTO;
    use Zeedhi\Framework\DTO\Response\Error;
    use \Zeedhi\Framework\DataSource\DataSet;
    use Zeedhi\Framework\DataSource\ParameterBag;

    class cdp02200GrupoDeEquipamentoController extends TeknisaCrud {
        protected $dataSourceName = 'grupoequipa';
        protected $dataSourceNameToSave = '';
        protected $cdp02200GrupoDeEquipamentoService;
  
        public function __construct($crudService, ParameterBag $parameterBag, $cdp02200GrupoDeEquipamentoService){
            parent::__construct($crudService, $parameterBag);
            $this->cdp02200GrupoDeEquipamentoService = $cdp02200GrupoDeEquipamentoService;
        }

        public function deletarGrupo(DTO\Request $request, DTO\Response $response){
            try {
                $rows = $request->getRow();
                $this->cdp02200GrupoDeEquipamentoService->deleteGrupo($rows);
            } catch (\Exception $e) {
                $response->setError(new Error($e->getMessage(), 500));
            }
        }
        
    }
?>