<?php
namespace Teknisa\CDP\Modules\Producao\Factories;

use Doctrine\ORM\EntityManager;

class Cdp00500EtapaDeProducaoFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection       = $entityManager->getConnection();
        $this->entityManager    = $entityManager;
    }

    public function verficaNomeEtapa($row) {
        $params           = array();
        $params['NRORG']  = $row['NRORG'];
       	$params['NMETAPAPROD'] = strtolower($row['NMETAPAPROD']);

        $sql = "SELECT *
                  	FROM ETAPAPROD
                	WHERE NRORG = :NRORG AND LOWER(NMETAPAPROD) = LOWER(:NMETAPAPROD)";


        $std = $this->connection->prepare($sql);
        $std->execute($params);
        
        return $std->fetchAll();
    }

}

