<?php
namespace Teknisa\CDP\Modules\Qualidade\Factories;

use Doctrine\ORM\EntityManager;

class QPR01800ItemChecagemFactory {
    
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getParameterQuest($cdcheck) {
        $sql = "SELECT COUNT(*) AS QTDE FROM QUESTCHECK WHERE CDCHECKLIST = :CDCHECKLIST";
        $params = array("CDCHECKLIST" => $cdcheck);
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        
        return $std->fetchAll();
    }
    
}

?>